# Facet

open class Facet

A project facet.

## Constructors

Facet
Link copied to clipboard
constructor()
constructor(node: Node)
constructor(name: String, version: String)
constructor(type: Facet.FacetType, name: String, version: String)

## Types

FacetType
Link copied to clipboard
enum FacetType
An `installed` facet is really present on an Eclipse project whereas facet type `fixed` means that this facet is locked and cannot be simply removed.

## Properties

name
Link copied to clipboard
open var name: String
type
Link copied to clipboard
open var type: Facet.FacetType
version
Link copied to clipboard
open var version: String

## Functions

appendNode
Link copied to clipboard
open fun appendNode(node: Node)
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
hashCode
Link copied to clipboard
open fun hashCode(): Int
toString
Link copied to clipboard
open fun toString(): String